Apple Quicktime - "Quicktime needed to be installed" or "To run this program you must have quicktime 6.0 or later installed"

    Follow

    It is sometimes possible to resolve this QT error by right-clicking on the Starry Night app icon and choosing Run as Admin.

    If that is not sufficient please read on...

    Apple Quicktime can be installed separately.  Download from www.quicktime.com

     

    If you encounter any issue or error message concerning quicktime please do the following:

    1. Go to Control Panel---> Add/Remove Programs--->uninstall quicktime (and anything else that is "Apple")
    2. Go to www.quicktime.com and download a new QT 7.6.8 (or whatever is the lastest).
    3. Install QT onto your computer and retry Starry Night.

     

    If you can't un-install QT please see the following KB article:

    http://www.technipages.com/unable-to-uninstall-quicktime-for-windows-says-rollback-action.html

     

    About Quicktime vs. Windows 10:

    7.7.8 QuickTime seems to be plagued with problems on Windows 10 but 7.7.6 works according to our tests. You can manually install QuickTime 7.7.6 from here:

    1. Go to Control Panel---> Add/Remove Programs--->uninstall quicktime (and anything else that is "Apple")
    2. Go to https://support.apple.com/downloads/quicktime and download QT version 7.7.6
    3. Install QT 7.7.6 onto your computer and retry Starry Night - right-click the Starry Night desktop icon and choose "Run as Admin".

    Comments

    • Avatar
      Alsmith

      Not working.  I had to reset my PC (Win 10 Pro).  Installed Starry Night 7 pro plus from my originally ver 7 downloaded exe purchased April 3, 2014.  It installed quick time 7.7.5.  When I go into Starry Night I get the above error, "Quicktime needed to be installed" or "To run this program you must have quicktime 6.0 or later installed".

      I notice on Apples site that I can download old versions of quick time.  What should I do?

       

      Thanks,

      Al

    • Avatar
      Alsmith

      As a follow-up, I read to try version 7.7.6 of quick time.  I did but got same error.

      Thanks,

      Al

    • Avatar
      Alsmith

      Another follow-up.  I installed itunes and now get past the error.  Hmm.

    • Avatar
      Keiron Smith

      Hi Al, 

      I'm glad to see you sleuthed out a solution - one way or another!

    • Avatar
      Gary Chandler

      I am having this same issue however installing Itunes didn't solve mine. I get the Quicktime needs to be installed error despite having downloaded several different versions of Quicktime. I have uninstalled and reinstalled multiple times. I have Windows 10 as well.

    • Avatar
      Sophie Cheng

      Hello Gary,

      I believe our staff has resolved this issue via your requested support ticket.

      Let us know if you need anything else!

      Best,

      Sophie

    • Avatar
      Stuart Murray

      I got the same error today trying to reinstall SNPro 7. I had to uninstall the current version Quicktime 7.7.79 I had installed prior to SNPro 7. But when I reinstalled, I did a custom installation and checked the web, and other two components that are not part of the typical installation. Once I reinstalled Quicktime, it worked. Now would it have worked if I hadn't did a custom installation, don't know. I am happy SNPro 7 works.

    • Avatar
      Sophie Cheng

      Hello Stuart,

      Great to hear that Starry Night is up and running for you, and thank you for sharing that information here! Don't hesitate to contact us if future questions arise!

      Best,

      Sophie

    • Avatar
      Toad Rocket

      You may not be aware, but for Windows, Apple is no longer supporting Quicktime. That wouldn't ordinarily be a big problem except that there are two known security flaws with Quicktime that are currently being exploited. US-Cert is recommending people with Windows installations of Quicktime uninstall it. 

      https://www.us-cert.gov/ncas/alerts/TA16-105A

      If it is uninstalled, StarryNight will not work at all - doesn't get past the Quicktime check.

      Question: What should a user of StarryNight on Windows do? How can we uninstall Quicktime and still run SN? Any chance you'll switch to a different universal platform "video" player? Or ask Apple what they are thinking?

      Thank you 

    • Avatar
      Keiron Smith

      Hi Toad, 

      Starry Night 7 does not require Quicktime (not since version 7.4.0).  So, if you have version 7 just make sure you are running the latest version (7.5.0) and then go ahead and delete Quicktime.  SN7 will run like normal.

      Thanks!

    Powered by Zendesk